Name:		parcellite
Version:	1.2.1
Release:	%mkrel 1
Summary:	Lightweight GTK+ clipboard manager
Group:		Graphical desktop/GNOME
License:	GPLv3+
URL:		http://parcellite.sourceforge.net
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:		%{name}-1.1.8-mga-linkage.patch
# https://sourceforge.net/p/parcellite/patches/38
Patch1:		%{name}-1.2.1-mga-desktop-file.patch
BuildRequires:	intltool
BuildRequires:	pkgconfig(gtk+-2.0)

Requires:	xdotool

%description
Parcellite is a lightweight GTK+ clipboard manager. This is a stripped
down, basic-features-only clipboard manager with a small memory footprint
for those who like simplicity.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure2_5x
%make_build

%install
%make_install

# KDE has own klipper
desktop-file-edit \
	--add-not-show-in="KDE" \
		%{buildroot}/%{_sysconfdir}/xdg/autostart/%{name}-startup.desktop

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS NEWS README ChangeLog TODO
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_sysconfdir}/xdg/autostart/%{name}-startup.desktop
%{_mandir}/man1/%{name}.1*
%{_datadir}/pixmaps/*


%changelog
* Mon Feb 13 2017 daviddavid <daviddavid> 1.2.1-1.mga6
+ Revision: 1086078
- new version: 1.2.1
- rename and rebase mga-desktop-file patch
- remove merged upstream patches
- requires xdotool

* Fri Feb 12 2016 umeabot <umeabot> 1.1.9-2.mga6
+ Revision: 956624
- Mageia 6 Mass Rebuild

* Fri Jul 03 2015 alexl <alexl> 1.1.9-1.mga6
+ Revision: 849697
- version 1.1.9 (mga#16279)
- update russian translation (ru.patch)
- fix translation for "Character length of items" (del-spaces.patch)

* Sat Jan 31 2015 alexl <alexl> 1.1.8-6.mga5
+ Revision: 812932
- fixed localization (thanks to Dmitry Mikhirev)
- updated Russian translation (thanks to Victor Ryzhykh)

* Fri Jan 09 2015 alexl <alexl> 1.1.8-5.mga5
+ Revision: 809647
- updated desktop file

* Wed Oct 15 2014 umeabot <umeabot> 1.1.8-4.mga5
+ Revision: 747077
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.8-3.mga5
+ Revision: 683338
- Mageia 5 Mass Rebuild

* Fri Aug 29 2014 alexl <alexl> 1.1.8-2.mga5
+ Revision: 669284
- disabled autostart for KDE

* Wed Aug 20 2014 alexl <alexl> 1.1.8-1.mga5
+ Revision: 665905
- version 1.1.8
- added -lgio-2.0 (linkage.patch)
- adapted desktop file for DE's Mageia

* Tue Mar 25 2014 wally <wally> 1.1.7-1.mga5
+ Revision: 608568
- new version 1.1.7
- autostart in every DE

* Sat Oct 19 2013 umeabot <umeabot> 1.1.6-2.mga4
+ Revision: 531588
- Mageia 4 Mass Rebuild

* Tue Aug 06 2013 sander85 <sander85> 1.1.6-1.mga4
+ Revision: 464194
- New version: 1.1.6

* Wed Jul 24 2013 sander85 <sander85> 1.1.5-1.mga4
+ Revision: 457873
- Fix .desktop file
- New version: 1.1.5

* Tue Jun 11 2013 malo <malo> 1.1.4-1.mga4
+ Revision: 441954
- update to 1.1.4 (patch by Derek Jennings)
- drop obsolete patch

* Sun Jan 13 2013 umeabot <umeabot> 1.0.2rc5-2.mga3
+ Revision: 362400
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 16 2012 wally <wally> 1.0.2rc5-1.mga3
+ Revision: 331441
- new version 1.0.2rc5
- enable autostart in LXDE (mga#8399)

* Wed Aug 08 2012 wally <wally> 1.0.2rc4-1.mga3
+ Revision: 279988
- new version 1.0.2rc4
- use configure2_5x
- add a patch to fix glib includes
- clean .spec a bit

* Thu Sep 08 2011 tv <tv> 1.0.2rc3-1.mga2
+ Revision: 141084
- new release
- use %%configure

* Thu Jun 09 2011 ahmad <ahmad> 1.0.2rc2-1.mga2
+ Revision: 102723
- Drop the pot/po customisations (I don't if they come from upstream or not)
- Use %%configure2_5x
- imported package parcellite

